NcWmsGetMetadataRequest (A library with several utility classes to work with geo-spatial data: WmsUrlValidator, GeoGetStyles, etc.. 1.0.0-SNAPSHOT API)
Date: 2016-01-29

org.gcube.spatial.data.geoutility.wms

## Class NcWmsGetMetadataRequest

- java.lang.Object
- - org.gcube.spatial.data.geoutility.wms.NcWmsGetMetadataRequest

-     public class NcWmsGetMetadataRequest
      extends Object

  The Class NcWmsGetColorScaleRange.
  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it Dec 1, 2015

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COLORSCALERANGE`
    `static String` | `COLORSCALERANGE_DEFAULT_VALUE`
    `static int` | `CONNECTION_TIMEOUT`
    `static String` | `GET_METADATA`
    `static org.apache.log4j.Logger` | `logger`
    `static String` | `WMS_VERSION_1_3_0`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NcWmsGetMetadataRequest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String[]` | `getColorScaleRange(String wmsServerUri, String wmsVersion, String bbox, String layerName, String crs, String width, String height)` Gets the color scale range Calls a ncWMS GetMetadata request with item = minmax.
    `static void` | `main(String[] args)` The main method.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### GET_METADATA

          public static final String GET_METADATA

      See Also:
        Constant Field Values

    - #### CONNECTION_TIMEOUT

          public static final int CONNECTION_TIMEOUT

      See Also:
        Constant Field Values

    - #### logger

          public static org.apache.log4j.Logger logger

    - #### COLORSCALERANGE

          public static final String COLORSCALERANGE

      See Also:
        Constant Field Values

    - #### WMS_VERSION_1_3_0

          public static final String WMS_VERSION_1_3_0

      See Also:
        Constant Field Values

    - #### COLORSCALERANGE_DEFAULT_VALUE

          public static final String COLORSCALERANGE_DEFAULT_VALUE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NcWmsGetMetadataRequest

          public NcWmsGetMetadataRequest()

  - ### Method Detail

    - #### getColorScaleRange

          public static String[] getColorScaleRange(String wmsServerUri,
                                    String wmsVersion,
                                    String bbox,
                                    String layerName,
                                    String crs,
                                    String width,
                                    String height)
                                             throws Exception

      Gets the color scale range Calls a ncWMS GetMetadata request with item = minmax. Returns minmax if GetMedatada works, a null array otherwise.
      Parameters:
        `wmsServerUri` - the WMS Server Uri
        `wmsVersion` - the wms version
        `bbox` - the bbox
        `layerName` - the layer name
        `crs` - the crs
        `width` - the width
        `height` - the height
      Returns:
        the color scale range - an array of 2 elements that contains min and max value for the COLORSCALERANGE
      Throws:
        `Exception` - the exception

    - #### main

          public static void main(String[] args)

      The main method.
      Parameters:
        `args` - the arguments

Copyright © 2016. All Rights Reserved.